Skip to main content
GET
/
api
/
{serviceId}
/
client
/
get
/
list
Typescript (SDK)
import { Authlete } from "@authlete/typescript-sdk";

const authlete = new Authlete({
  bearer: process.env["AUTHLETE_BEARER"] ?? "",
});

async function run() {
  const result = await authlete.client.list({
    serviceId: "<id>",
  });

  console.log(result);
}

run();
{ "clients": [ { "applicationType": "WEB", "attributes": [ { "key": "attribute1-key", "value": "attribute1-value" }, { "key": "attribute2-key", "value": "attribute2-value" } ], "authTimeRequired": false, "bcUserCodeRequired": false, "clientId": 26478243745571, "clientIdAlias": "my-client", "clientIdAliasEnabled": true, "clientName": "My client", "clientSecret": "gXz97ISgLs4HuXwOZWch8GEmgL4YMvUJwu3er_kDVVGcA0UOhA9avLPbEmoeZdagi9yC_-tEiT2BdRyH9dbrQQ", "clientType": "CONFIDENTIAL", "createdAt": 1639468356000, "defaultMaxAge": 0, "derivedSectorIdentifier": "my-client.example.com", "dynamicallyRegistered": false, "frontChannelRequestObjectEncryptionRequired": false, "grantTypes": [ "AUTHORIZATION_CODE", "REFRESH_TOKEN" ], "idTokenSignAlg": "RS256", "modifiedAt": 1639468356000, "number": 6164, "parRequired": false, "redirectUris": [ "https://my-client.example.com/cb1", "https://my-client.example.com/cb2" ], "requestObjectEncryptionAlgMatchRequired": false, "requestObjectEncryptionEncMatchRequired": false, "requestObjectRequired": false, "responseTypes": [ "CODE", "TOKEN" ], "serviceNumber": 5041, "subjectType": "PUBLIC", "tlsClientCertificateBoundAccessTokens": false, "tokenAuthMethod": "CLIENT_SECRET_BASIC" } ], "end": 3, "start": 0, "totalCount": 1 }

Authorizations

Authorization
string
header
required

Authenticate every request with a Service Access Token or Organization Token. Set the token value in the Authorization: Bearer <token> header.

Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.

Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.

Both token types are issued by the Authlete console or provisioning APIs.

Path Parameters

serviceId
string
required

A service ID.

Query Parameters

developer
string

The developer of client applications. The default value is null. If this parameter is not set to null, client application of the specified developer are returned. Otherwise, all client applications that belong to the service are returned.

start
integer<int32>

Start index (inclusive) of the result set. The default value is 0. Must not be a negative number.

end
integer<int32>

End index (exclusive) of the result set. The default value is 5. Must not be a negative number.

Response

start
integer<int32>

Start index (inclusive) of the result set of the query.

end
integer<int32>

End index (exclusive) of the result set of the query.

totalCount
integer<int32>

Total number of clients that belong to the service. This doesn't mean the number of clients contained in the response.

clients
object[]

An array of clients.